## openrefine 3.9.5

=== .github/workflows/label_transfer/requirements.txt ===
requests
lxml

## openrefine 3.5.2

=== debian/changelog ===
openrefine (3.5.2-2) unstable; urgency=medium

  * Build-depend on libokhttp-java (>= 3.13.1-3~)
  * Tighten dependency on libgoogle-api-client-java.
  * Remove dependency on tomcat9 because the tomcat9-annotations-api is
    apparently not required.
  * Update the Dockerfile and add a README file to document how to build the
    image and run the container. Install both files as examples into
    /usr/share/doc/openrefine/examples.

 -- Markus Koschany <apo@debian.org>  Tue, 08 Mar 2022 13:49:15 +0100

openrefine (3.5.2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream version 3.5.2.
   - Remove non-free lavalamp.js file.
   - Enable all extensions.
  * Depend on procps for openrefine script.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Feb 2022 17:03:52 +0100

openrefine (3.5~git20210527-1) experimental; urgency=medium

  * Initial release. (Closes: #986604 )

 -- Markus Koschany <apo@debian.org>  Thu, 02 Sep 2021 06:56:05 +0200

=== debian/control ===
Source: openrefine
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 jython,
 libactivation-java,
 libapache-jena-java,
 libapache-poi-java,
 libbuild-helper-maven-plugin-java,
 libclojure-java,
 libcommons-codec-java,
 libcommons-collections3-java,
 libcommons-compress-java,
 libcommons-fileupload-java,
 libcommons-io-java,
 libcommons-lang3-java,
 libcommons-text-java,
 libcommons-validator-java,
 libexec-maven-plugin-java,
 libgoogle-api-client-java (>= 1.27.1-2~),
 libgoogle-api-services-drive-java,
 libgoogle-api-services-sheets-java,
 libgoogle-http-client-java,
 libgoogle-oauth-client-java,
 libguava-java,
 libhttpclient-java,
 libhttpclient5-java,
 libhttpcore-java,
 libhttpmime-java,
 libjackson2-core-java,
 libjackson2-databind-java,
 libjasypt-java,
 libjaxb-api-java,
 libjetty9-java,
 libjoda-time-java,
 libjsoup-java (>= 1.13.1),
 libjuniversalchardet-java (>= 2.4.0),
 liblessen-java,
 liblog4j2-java,
 libmarc4j-java,
 libmariadb-java,
 libmaven-clean-plugin-java,
 libmaven-compiler-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-jar-plugin-java,
 libmaven-resources-plugin-java,
 liboauth-signpost-java,
 libodfdom-java,
 libokhttp-java (>= 3.13.1-3~),
 libopenrefine-butterfly-java,
 libopenrefine-opencsv-java,
 libopenrefine-vicino-java,
 liboro-java,
 libowasp-encoder-java,
 libpostgresql-jdbc-java,
 librhino-java,
 libservlet-api-java,
 libslf4j-java,
 libsweble-common-java,
 libsweble-wikitext-java,
 libwikidata-toolkit-java,
 libxerial-sqlite-jdbc-java,
 libxtc-rats-java,
 maven-debian-helper,
 velocity
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/openrefine.git
Vcs-Browser: https://salsa.debian.org/java-team/openrefine
Homepage: https://openrefine.org/

Package: openrefine
Architecture: all
Depends:
 curl,
 default-jre | java9-runtime,
 libcommons-collections4-java,
 libcommons-lang-java,
 libjsr305-java,
 liblog4j2-java,
 procps,
 ${maven:Depends},
 ${misc:Depends}
Suggests:
 ${maven:OptionalDepends}
Description: powerful tool for working with messy data
 OpenRefine is a power tool for working with messy data. Use it to improve data
 consistency, link it to data registries like Wikidata, augment it with data
 from other sources, transform it into different formats for other tools to
 consume, and contribute it back to the original sources. OpenRefine is not a
 web service but a desktop app that runs on your own computer, so you can
 process sensitive data with privacy.

=== debian/rules ===
#!/usr/bin/make -f

LINK_JARS_SERVER := butterfly commons-collections3 commons-io commons-lang3
LINK_JARS_SERVER += jetty9-servlet jetty9-webapp jetty9-server metaweb-lessen
LINK_JARS_SERVER += jetty9-http jetty9-io jetty9-security jetty9-util jetty9-xml
LINK_JARS_SERVER += slf4j-api slf4j-log4j12 velocity servlet-api js rhino log4j-1.2
LINK_JARS_SERVER += oro

LINK_JARS_WEBAPP := ant ant-launcher openrefine-arithcode butterfly clojure
LINK_JARS_WEBAPP += dexx.collection commons-beanutils commons-cli commons-codec
LINK_JARS_WEBAPP += commons-collections3 commons-collections4 commons-compress
LINK_JARS_WEBAPP += commons-csv commons-digester commons-fileupload commons-io
LINK_JARS_WEBAPP += commons-lang3 commons-lang-2.6 commons-logging commons-math3 commons-text
LINK_JARS_WEBAPP += commons-validator guava httpclient httpclient-cache httpcore
LINK_JARS_WEBAPP += jackson-annotations jackson-core jackson-databind java-rdfa
LINK_JARS_WEBAPP += jaxb-api jcl-over-slf4j jena-arq jena-base jena-cmds jena-core
LINK_JARS_WEBAPP += jena-dboe-base jena-dboe-index jena-dboe-transaction jena-dboe-trans-data
LINK_JARS_WEBAPP += jena-iri jena-rdfconnection jena-tdb2 jena-tdb jena-shacl joda-time js rhino
LINK_JARS_WEBAPP += jsonld-java jsoup jsr305 juniversalchardet metaweb-lessen thrift log4j-1.2 log4j-core
LINK_JARS_WEBAPP += odfdom-java openrefine-opencsv poi poi-ooxml poi-ooxml-schemas
LINK_JARS_WEBAPP += ptk-common rats-runtime com.wcohen.secondstring servlet-api signpost-commonshttp4
LINK_JARS_WEBAPP += signpost-core slf4j-api slf4j-log4j12 swc-parser-lazy velocity
LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans
LINK_JARS_WEBAPP += httpclient5 httpcore5 httpcore5-h2 utils marc4j javax.activation
LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util

LINK_JARS_EXT_WIKIDATA := signpost-core okhttp-urlconnection okhttp wdtk-wikibaseapi threeten-extra
LINK_JARS_EXT_WIKIDATA += jackson-annotations commons-lang3 wdtk-datamodel commons-compress commons-codec
LINK_JARS_EXT_WIKIDATA += jackson-core okhttp-signpost okio wdtk-util jackson-databind

LINK_JARS_EXT_JYTHON := jython

LINK_JARS_EXT_GDATA := grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient
LINK_JARS_EXT_GDATA += google-oauth-client google-api-services-sheets httpcore google-api-services-drive
LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 commons-codec guava google-http-client

LINK_JARS_EXT_DATABASE := encoder grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient postgresql
LINK_JARS_EXT_DATABASE += httpcore jackson-annotations commons-lang3 opencensus-api google-http-client-jackson2 commons-codec
LINK_JARS_EXT_DATABASE += guava mariadb-java-client jasypt google-http-client xerial-sqlite-jdbc

%:
	dh $@

override_dh_install:
	find main/webapp/WEB-INF/ -name "*.jar" -delete
	find main/webapp/WEB-INF/ -name "*.java" -delete
	find server/classes/ -name "*.java" -delete
	find extensions/ -type f \( -iname "LICENSE*" -o -name "*.java" -o -name "*.jar" -o -name ".project" -o -name "*.settings" -o -name "pom.xml" \) -delete
	find extensions/ -type d -depth -name "tests" -exec rm -r "{}" \;
	find extensions/ -type d -depth -name "target" -exec rm -r "{}" \;
	find extensions/ -type d -depth -name "src" -exec rm -r "{}" \;
	find extensions/ -type d -depth -name "licenses" -exec rm -r "{}" \;
	dh_install
	$(RM) -r $(CURDIR)/debian/openrefine/usr/share/maven-repo

override_dh_link:
	for JAR in $(LINK_JARS_SERVER); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/server/$$JAR.jar; \
	done
	for JAR in $(LINK_JARS_WEBAPP); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/WEB-INF/lib/$$JAR.jar; \
	done
	for JAR in $(LINK_JARS_EXT_WIKIDATA); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/wikidata/module/MOD-INF/lib/$$JAR.jar; \
	done
	for JAR in $(LINK_JARS_EXT_JYTHON); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/jython/module/MOD-INF/lib/$$JAR.jar; \
	done
	for JAR in $(LINK_JARS_EXT_GDATA); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/gdata/module/MOD-INF/lib/$$JAR.jar; \
	done
	for JAR in $(LINK_JARS_EXT_DATABASE); do \
		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/database/module/MOD-INF/lib/$$JAR.jar; \
	done

## openrefine 3.6.1

=== debian/changelog ===
openrefine (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1.
  * Refresh all patches except of javalamp patch.
  * Tighten dependency on apache-jena and wikidata toolkit.
  * Depend on liblanguage-detector-java.
  * Add gdata-extension.patch.
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Thu, 29 Sep 2022 23:58:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  default-jdk,
  jython,
  libactivation-java,
- libapache-jena-java,
+ libapache-jena-java (>= 4.5.0),
  libapache-poi-java,
  libbuild-helper-maven-plugin-java,
  libclojure-java,
@@ -40,6 +40,7 @@
  libjoda-time-java,
  libjsoup-java (>= 1.13.1),
  libjuniversalchardet-java (>= 2.4.0),
+ liblanguage-detector-java,
  liblessen-java,
  liblog4j2-java,
  libmarc4j-java,
@@ -63,12 +64,12 @@
  libslf4j-java,
  libsweble-common-java,
  libsweble-wikitext-java,
- libwikidata-toolkit-java,
+ libwikidata-toolkit-java (>= 0.13.3),
  libxerial-sqlite-jdbc-java,
  libxtc-rats-java,
  maven-debian-helper,
  velocity
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/java-team/openrefine.git
 Vcs-Browser: https://salsa.debian.org/java-team/openrefine
 Homepage: https://openrefine.org/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 LINK_JARS_WEBAPP += odfdom-java openrefine-opencsv poi poi-ooxml poi-ooxml-schemas
 LINK_JARS_WEBAPP += ptk-common rats-runtime com.wcohen.secondstring servlet-api signpost-commonshttp4
 LINK_JARS_WEBAPP += signpost-core slf4j-api slf4j-log4j12 swc-parser-lazy velocity
-LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans
+LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans language-detector
 LINK_JARS_WEBAPP += httpclient5 httpcore5 httpcore5-h2 utils marc4j javax.activation
 LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util
 
@@ -32,7 +32,8 @@
 
 LINK_JARS_EXT_GDATA := grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient
 LINK_JARS_EXT_GDATA += google-oauth-client google-api-services-sheets httpcore google-api-services-drive
-LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 commons-codec guava google-http-client
+LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 google-http-client-gson
+LINK_JARS_EXT_GDATA += commons-codec guava google-http-client
 
 LINK_JARS_EXT_DATABASE := encoder grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient postgresql
 LINK_JARS_EXT_DATABASE += httpcore jackson-annotations commons-lang3 opencensus-api google-http-client-jackson2 commons-codec

## openrefine 3.6.2

=== debian/changelog ===
openrefine (3.6.2-2+deb12u3) bookworm; urgency=medium

  * Fix CVE-2024-23833, CVE-2024-47878, CVE-2024-47880, CVE-2024-47881,
    CVE-2024-47882 and CVE-2024-49760.
    OpenRefine is a free, open source tool for data processing. Users could be
    tricked into opening malicious websites which then enabled attackers to run
    arbitrary code on the server due to improper escaping or code restrictions.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Sep 2025 00:52:50 +0200

openrefine (3.6.2-2+deb12u2) bookworm; urgency=medium

  * Fix CVE-2023-41887 and CVE-2023-41886:
    OpenRefine is a powerful free, open source tool for working with messy
    data. Prior to this version, a remote code execution vulnerability allows
    any unauthenticated user to execute code on the server.

 -- Markus Koschany <apo@debian.org>  Wed, 04 Oct 2023 15:02:45 +0200

openrefine (3.6.2-2+deb12u1) bookworm; urgency=medium

  * Fix CVE-2023-37476:
    OpenRefine is a free, open source tool for data processing. A carefully
    crafted malicious OpenRefine project tar file can be used to trigger
    arbitrary code execution in the context of the OpenRefine process if a user
    can be convinced to import it. (Closes: #1041422)

 -- Markus Koschany <apo@debian.org>  Thu, 07 Sep 2023 21:22:17 +0200

openrefine (3.6.2-2) unstable; urgency=medium

  * Depend on libjoda-time-java and liboro-java.
    Thanks to Robert Jäschke for the report! (Closes: #1022760)
  * Load the refine configuration before parsing the command line options.
    Thanks to Robert Jäschke for the report! (Closes: #1033355)
  * Symlink commons-lang-2.6 into server directory to fix another
    ClassNotFound exception.

 -- Markus Koschany <apo@debian.org>  Wed, 05 Apr 2023 20:20:17 +0200

openrefine (3.6.2-1) unstable; urgency=medium

  * New upstream version 3.6.2. (Closes: #1022761)
  * Add 3rdparty missing sources. (Closes: #1022760)
    These Javascript files are currently missing from the original sources
    because they are downloaded separately with npm.
  * Tighten dependency on librhino-java to >= 1.7.14. Otherwise there was a
    silent error in the web application which made it unusable.
  * Link titanium-json-ld into webapp directory.

 -- Markus Koschany <apo@debian.org>  Tue, 14 Feb 2023 00:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
  liboro-java,
  libowasp-encoder-java,
  libpostgresql-jdbc-java,
- librhino-java,
+ librhino-java (>= 1.7.14),
  libservlet-api-java,
  libslf4j-java,
  libsweble-common-java,
@@ -81,8 +81,10 @@
  default-jre | java9-runtime,
  libcommons-collections4-java,
  libcommons-lang-java,
+ libjoda-time-java,
  libjsr305-java,
  liblog4j2-java,
+ liboro-java,
  procps,
  ${maven:Depends},
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LINK_JARS_SERVER += jetty9-servlet jetty9-webapp jetty9-server metaweb-lessen
 LINK_JARS_SERVER += jetty9-http jetty9-io jetty9-security jetty9-util jetty9-xml
 LINK_JARS_SERVER += slf4j-api slf4j-log4j12 velocity servlet-api js rhino log4j-1.2
-LINK_JARS_SERVER += oro
+LINK_JARS_SERVER += oro commons-lang-2.6
 
 LINK_JARS_WEBAPP := ant ant-launcher openrefine-arithcode butterfly clojure
 LINK_JARS_WEBAPP += dexx.collection commons-beanutils commons-cli commons-codec
@@ -20,7 +20,7 @@
 LINK_JARS_WEBAPP += odfdom-java openrefine-opencsv poi poi-ooxml poi-ooxml-schemas
 LINK_JARS_WEBAPP += ptk-common rats-runtime com.wcohen.secondstring servlet-api signpost-commonshttp4
 LINK_JARS_WEBAPP += signpost-core slf4j-api slf4j-log4j12 swc-parser-lazy velocity
-LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans language-detector
+LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans language-detector titanium-json-ld
 LINK_JARS_WEBAPP += httpclient5 httpcore5 httpcore5-h2 utils marc4j javax.activation
 LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util

## openrefine 3.7.7

=== debian/changelog ===
openrefine (3.7.7-1) unstable; urgency=medium

  * New upstream version 3.7.7.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Dec 2023 11:51:18 +0100

openrefine (3.7.6-1) unstable; urgency=medium

  * New upstream version 3.7.6.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Oct 2023 22:34:25 +0200

openrefine (3.7.5-1) unstable; urgency=medium

  * New upstream version 3.7.5.

 -- Markus Koschany <apo@debian.org>  Fri, 15 Sep 2023 12:37:36 +0200

openrefine (3.7.4-1) unstable; urgency=medium

  * New upstream version 3.7.4
  * Drop CVE-2023-37476.patch. Fixed upstream.
  * Remove log4j-api.patch.
  * Remove no-java-files.patch.
  * Build-Depend on liblocalizer-java.
  * Use and document upstream's appstream meta file.
  * Install upstream's desktop file.
  * Depend on fonts-glyphicons-halflings and replace embedded font files.
  * Add debian/openrefine.lintian-overrides.
  * Ignore Lintian warning embedded-javascript-library and explain why.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Sep 2023 13:55:04 +0200

openrefine (3.6.2-3) unstable; urgency=medium

  * Tighten B-D on commons-io to >= 2.11.0.
  * Fix CVE-2023-37476 and automatically refresh all other patches.
    OpenRefine is a free, open source tool for data processing. A carefully
    crafted malicious OpenRefine project tar file can be used to trigger
    arbitrary code execution in the context of the OpenRefine process if a user
    can be convinced to import it. (Closes: #1041422)
  * Declare compliance with Debian Policy 4.6.2.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Aug 2023 01:37:01 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libcommons-collections3-java,
  libcommons-compress-java,
  libcommons-fileupload-java,
- libcommons-io-java,
+ libcommons-io-java (>= 2.11.0),
  libcommons-lang3-java,
  libcommons-text-java,
  libcommons-validator-java,
@@ -42,6 +42,7 @@
  libjuniversalchardet-java (>= 2.4.0),
  liblanguage-detector-java,
  liblessen-java,
+ liblocalizer-java,
  liblog4j2-java,
  libmarc4j-java,
  libmariadb-java,
@@ -69,7 +70,7 @@
  libxtc-rats-java,
  maven-debian-helper,
  velocity
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/openrefine.git
 Vcs-Browser: https://salsa.debian.org/java-team/openrefine
 Homepage: https://openrefine.org/
@@ -79,6 +80,7 @@
 Depends:
  curl,
  default-jre | java9-runtime,
+ fonts-glyphicons-halflings,
  libcommons-collections4-java,
  libcommons-lang-java,
  libjoda-time-java,

=== debian/rules ===
--- 
+++ 
@@ -24,9 +24,9 @@
 LINK_JARS_WEBAPP += httpclient5 httpcore5 httpcore5-h2 utils marc4j javax.activation
 LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util
 
-LINK_JARS_EXT_WIKIDATA := signpost-core okhttp-urlconnection okhttp wdtk-wikibaseapi threeten-extra
-LINK_JARS_EXT_WIKIDATA += jackson-annotations commons-lang3 wdtk-datamodel commons-compress commons-codec
-LINK_JARS_EXT_WIKIDATA += jackson-core okhttp-signpost okio wdtk-util jackson-databind
+LINK_JARS_EXT_WIKIBASE := signpost-core okhttp-urlconnection okhttp wdtk-wikibaseapi threeten-extra
+LINK_JARS_EXT_WIKIBASE += jackson-annotations commons-lang3 wdtk-datamodel commons-compress commons-codec
+LINK_JARS_EXT_WIKIBASE += jackson-core okhttp-signpost okio wdtk-util jackson-databind
 
 LINK_JARS_EXT_JYTHON := jython
 
@@ -43,6 +43,7 @@
 	dh $@
 
 override_dh_install:
+	find main/webapp/modules/core/scripts/dialogs/* -name "sql-exporter-dialog*" -exec chmod a-x "{}" \;
 	find main/webapp/WEB-INF/ -name "*.jar" -delete
 	find main/webapp/WEB-INF/ -name "*.java" -delete
 	find server/classes/ -name "*.java" -delete
@@ -61,8 +62,8 @@
 	for JAR in $(LINK_JARS_WEBAPP); do \
 		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/WEB-INF/lib/$$JAR.jar; \
 	done
-	for JAR in $(LINK_JARS_EXT_WIKIDATA); do \
-		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/wikidata/module/MOD-INF/lib/$$JAR.jar; \
+	for JAR in $(LINK_JARS_EXT_WIKIBASE); do \
+		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/wikibase/module/MOD-INF/lib/$$JAR.jar; \
 	done
 	for JAR in $(LINK_JARS_EXT_JYTHON); do \
 		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/jython/module/MOD-INF/lib/$$JAR.jar; \
@@ -73,3 +74,15 @@
 	for JAR in $(LINK_JARS_EXT_DATABASE); do \
 		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/database/module/MOD-INF/lib/$$JAR.jar; \
 	done
+	# Replace glyphicons fonts
+	$(RM) /usr/share/openrefine/webapp/extensions/database/module/images/fonts/*
+	dh_link /usr/share/fonts-glyphicons/glyphicons-halflings-regular.eot \
+	/usr/share/openrefine/webapp/extensions/database/module/images/fonts/glyphicons-halflings-regular.eot
+	dh_link /usr/share/fonts-glyphicons/glyphicons-halflings-regular.svg \
+	/usr/share/openrefine/webapp/extensions/database/module/images/fonts/glyphicons-halflings-regular.svg
+	dh_link /usr/share/fonts-glyphicons/glyphicons-halflings-regular.ttf \
+	/usr/share/openrefine/webapp/extensions/database/module/images/fonts/glyphicons-halflings-regular.ttf
+	dh_link /usr/share/fonts-glyphicons/glyphicons-halflings-regular.woff \
+	/usr/share/openrefine/webapp/extensions/database/module/images/fonts/glyphicons-halflings-regular.woff
+	dh_link /usr/share/fonts-glyphicons/glyphicons-halflings-regular.woff2 \
+	/usr/share/openrefine/webapp/extensions/database/module/images/fonts/glyphicons-halflings-regular.woff2

## openrefine 3.7.8

=== debian/changelog ===
openrefine (3.7.8-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Information leak
    - debian/patches/CVE-2024-49760.patch: Restricts the loading of 
      files to their expected subdirectory
    - CVE-2024-49760
  * SECURITY UPDATE: Remote code execution
    - debian/patches/CVE-2024-47878.patch: gdata: Check cb parameter in
      authorized command
    - debian/patches/CVE-2024-47880.patch: Drop support for contentType
      parameter
    - debian/patches/CVE-2024-47881.patch: Add restrictions when opening
      SQLite databases via the database extension
    - debian/patches/CVE-2024-47882.patch: Escape error and stack trace
    - CVE-2024-47878
    - CVE-2024-47880
    - CVE-2024-47881
    - CVE-2024-47882
  * SECURITY UPDATE: Cross site request forgery
    - debian/patches/CVE-2024-47879.patch: Add CSRF protection to
      commands that evaluate expressions
    - CVE-2024-47879

 -- Bruce Cable <bruce.cable@canonical.com>  Thu, 06 Feb 2025 16:09:30 +1100

openrefine (3.7.8-1) unstable; urgency=high

  * New upstream version 3.7.8
    - Fix CVE-2024-23833: A jdbc attack vulnerability exists in OpenRefine
      where an attacker may construct a JDBC query which may read files on
      the host filesystem. (Closes: #1064192)
      Thanks to Salvatore Bonaccorso for the report.

 -- Markus Koschany <apo@debian.org>  Sat, 06 Apr 2024 21:45:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openrefine
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:

## openrefine 3.8.7

=== debian/changelog ===
openrefine (3.8.7-2) unstable; urgency=medium

  * Add missing links to localizer.jar.
    It seems the missing localizer.jar caused errors on non-english systems and
    this change might fix the problem. See #1095034 for more information.

 -- Markus Koschany <apo@debian.org>  Sat, 27 Sep 2025 21:54:09 +0200

openrefine (3.8.7-1) unstable; urgency=medium

  * New upstream version 3.8.7.
    - Fix CVE-2024-49760, CVE-2024-47882, CVE-2024-47881, CVE-2024-47880,
      CVE-2024-47879 and CVE-2024-47878. (Closes: #1086041)
  * Refresh the patches.
  * Add new maven plugins to maven.ignore rules.
  * Add jetty9.patch and revert back to Debian's Jetty9 version. We upgrade to
    Jetty12 in the near future.
  * Declare compliance with Debian Policy 4.7.0.

 -- Markus Koschany <apo@debian.org>  Thu, 02 Jan 2025 18:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openrefine
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
  Markus Koschany <apo@debian.org>
 Build-Depends:
@@ -56,7 +55,6 @@
  libodfdom-java,
  libokhttp-java (>= 3.13.1-3~),
  libopenrefine-butterfly-java,
- libopenrefine-opencsv-java,
  libopenrefine-vicino-java,
  liboro-java,
  libowasp-encoder-java,
@@ -66,12 +64,13 @@
  libslf4j-java,
  libsweble-common-java,
  libsweble-wikitext-java,
+ libunivocity-parsers-java,
  libwikidata-toolkit-java (>= 0.13.3),
  libxerial-sqlite-jdbc-java,
  libxtc-rats-java,
  maven-debian-helper,
  velocity
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/java-team/openrefine.git
 Vcs-Browser: https://salsa.debian.org/java-team/openrefine
 Homepage: https://openrefine.org/

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 LINK_JARS_SERVER := butterfly commons-collections3 commons-io commons-lang3
 LINK_JARS_SERVER += jetty9-servlet jetty9-webapp jetty9-server metaweb-lessen
 LINK_JARS_SERVER += jetty9-http jetty9-io jetty9-security jetty9-util jetty9-xml
-LINK_JARS_SERVER += slf4j-api slf4j-log4j12 velocity servlet-api js rhino log4j-1.2
-LINK_JARS_SERVER += oro commons-lang-2.6
+LINK_JARS_SERVER += slf4j-api slf4j-log4j12 velocity servlet-api js rhino log4j-core log4j-api
+LINK_JARS_SERVER += oro commons-lang-2.6 log4j-1.2-api localizer
 
-LINK_JARS_WEBAPP := ant ant-launcher openrefine-arithcode butterfly clojure
+LINK_JARS_WEBAPP := ant ant-launcher openrefine-arithcode butterfly clojure univocity-parsers
 LINK_JARS_WEBAPP += dexx.collection commons-beanutils commons-cli commons-codec
 LINK_JARS_WEBAPP += commons-collections3 commons-collections4 commons-compress
 LINK_JARS_WEBAPP += commons-csv commons-digester commons-fileupload commons-io
@@ -16,37 +16,39 @@
 LINK_JARS_WEBAPP += jaxb-api jcl-over-slf4j jena-arq jena-base jena-cmds jena-core
 LINK_JARS_WEBAPP += jena-dboe-base jena-dboe-index jena-dboe-transaction jena-dboe-trans-data
 LINK_JARS_WEBAPP += jena-iri jena-rdfconnection jena-tdb2 jena-tdb jena-shacl joda-time js rhino
-LINK_JARS_WEBAPP += jsonld-java jsoup jsr305 juniversalchardet metaweb-lessen thrift log4j-1.2 log4j-core
-LINK_JARS_WEBAPP += odfdom-java openrefine-opencsv poi poi-ooxml poi-ooxml-schemas
+LINK_JARS_WEBAPP += jsonld-java jsoup jsr305 juniversalchardet metaweb-lessen thrift log4j-core log4j-api
+LINK_JARS_WEBAPP += odfdom-java poi poi-ooxml poi-ooxml-schemas log4j-1.2-api
 LINK_JARS_WEBAPP += ptk-common rats-runtime com.wcohen.secondstring servlet-api signpost-commonshttp4
 LINK_JARS_WEBAPP += signpost-core slf4j-api slf4j-log4j12 swc-parser-lazy velocity
 LINK_JARS_WEBAPP += vicino xercesImpl xml-apis xmlbeans language-detector titanium-json-ld
 LINK_JARS_WEBAPP += httpclient5 httpcore5 httpcore5-h2 utils marc4j javax.activation
-LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util
+LINK_JARS_WEBAPP += jetty9-continuation jetty9-http jetty9-io jetty9-servlets jetty9-util localizer
 
 LINK_JARS_EXT_WIKIBASE := signpost-core okhttp-urlconnection okhttp wdtk-wikibaseapi threeten-extra
 LINK_JARS_EXT_WIKIBASE += jackson-annotations commons-lang3 wdtk-datamodel commons-compress commons-codec
-LINK_JARS_EXT_WIKIBASE += jackson-core okhttp-signpost okio wdtk-util jackson-databind
+LINK_JARS_EXT_WIKIBASE += jackson-core okhttp-signpost okio wdtk-util jackson-databind localizer
 
-LINK_JARS_EXT_JYTHON := jython
+LINK_JARS_EXT_JYTHON := jython localizer
 
 LINK_JARS_EXT_GDATA := grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient
 LINK_JARS_EXT_GDATA += google-oauth-client google-api-services-sheets httpcore google-api-services-drive
 LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 google-http-client-gson
-LINK_JARS_EXT_GDATA += commons-codec guava google-http-client
+LINK_JARS_EXT_GDATA += commons-codec guava google-http-client localizer
 
 LINK_JARS_EXT_DATABASE := encoder grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient postgresql
 LINK_JARS_EXT_DATABASE += httpcore jackson-annotations commons-lang3 opencensus-api google-http-client-jackson2 commons-codec
-LINK_JARS_EXT_DATABASE += guava mariadb-java-client jasypt google-http-client xerial-sqlite-jdbc
+LINK_JARS_EXT_DATABASE += guava mariadb-java-client jasypt google-http-client xerial-sqlite-jdbc localizer
 
 %:
 	dh $@
 
 override_dh_install:
 	find main/webapp/modules/core/scripts/dialogs/* -name "sql-exporter-dialog*" -exec chmod a-x "{}" \;
+	cp main/webapp/WEB-INF/lib/openrefine-main.jar main/webapp/
 	find main/webapp/WEB-INF/ -name "*.jar" -delete
 	find main/webapp/WEB-INF/ -name "*.java" -delete
 	find server/classes/ -name "*.java" -delete
+	find extensions/ -type f -iname "openrefine-*" -exec cp {} debian/ \;
 	find extensions/ -type f \( -iname "LICENSE*" -o -name "*.java" -o -name "*.jar" -o -name ".project" -o -name "*.settings" -o -name "pom.xml" \) -delete
 	find extensions/ -type d -depth -name "tests" -exec rm -r "{}" \;
 	find extensions/ -type d -depth -name "target" -exec rm -r "{}" \;

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/OpenRefine-$1\.tar\.gz/ \
  https://github.com/OpenRefine/OpenRefine/tags .*/v?(\d\S+)\.tar\.gz

## openrefine 3.9.3

=== debian/changelog ===
openrefine (3.9.3-1) experimental; urgency=medium

  * New upstream version 3.9.3.
    - gdata and phonetic extensions were removed.
    - install core and grel modules.
  * Refresh all patches.
  * Add MediaWikiErrorMessage.patch because we need to update
    libwikidata-toolkit-java first.
  * Add test-jar.patch and don't require the test jars to build openrefine.
  * Add jackson-datatype-jdk8.patch because we don't support Java 8 anymore.

 -- Markus Koschany <apo@debian.org>  Sun, 25 May 2025 15:30:04 +0200

## openrefine 3.9.5

=== debian/changelog ===
openrefine (3.9.5-1) experimental; urgency=medium

  * New upstream version 3.9.5.
  * Refresh jetty9.patch.
  * Tighten build-dependency on libwikidata-toolkit-java to >= 0.17.0.
  * Declare compliance with Debian Policy 4.7.2.

 -- Markus Koschany <apo@debian.org>  Sat, 27 Sep 2025 23:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -65,12 +65,12 @@
  libsweble-common-java,
  libsweble-wikitext-java,
  libunivocity-parsers-java,
- libwikidata-toolkit-java (>= 0.13.3),
+ libwikidata-toolkit-java (>= 0.17.0),
  libxerial-sqlite-jdbc-java,
  libxtc-rats-java,
  maven-debian-helper,
  velocity
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/java-team/openrefine.git
 Vcs-Browser: https://salsa.debian.org/java-team/openrefine
 Homepage: https://openrefine.org/

=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,16 @@
 
 LINK_JARS_EXT_JYTHON := jython localizer
 
-LINK_JARS_EXT_GDATA := grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient
-LINK_JARS_EXT_GDATA += google-oauth-client google-api-services-sheets httpcore google-api-services-drive
-LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 google-http-client-gson
-LINK_JARS_EXT_GDATA += commons-codec guava google-http-client localizer
+#LINK_JARS_EXT_GDATA := grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient
+#LINK_JARS_EXT_GDATA += google-oauth-client google-api-services-sheets httpcore google-api-services-drive
+#LINK_JARS_EXT_GDATA += google-api-client opencensus-api google-http-client-jackson2 google-http-client-gson
+#LINK_JARS_EXT_GDATA += commons-codec guava google-http-client
 
 LINK_JARS_EXT_DATABASE := encoder grpc-context opencensus-contrib-http-util commons-logging jsr305 httpclient postgresql
 LINK_JARS_EXT_DATABASE += httpcore jackson-annotations commons-lang3 opencensus-api google-http-client-jackson2 commons-codec
 LINK_JARS_EXT_DATABASE += guava mariadb-java-client jasypt google-http-client xerial-sqlite-jdbc localizer
+
+LINK_JARS_EXT_PCAXIS := localizer
 
 %:
 	dh $@
@@ -45,6 +47,8 @@
 override_dh_install:
 	find main/webapp/modules/core/scripts/dialogs/* -name "sql-exporter-dialog*" -exec chmod a-x "{}" \;
 	cp main/webapp/WEB-INF/lib/openrefine-main.jar main/webapp/
+	cp main/webapp/WEB-INF/lib/grel-*.jar main/webapp/
+	cp main/webapp/WEB-INF/lib/core-*.jar main/webapp/
 	find main/webapp/WEB-INF/ -name "*.jar" -delete
 	find main/webapp/WEB-INF/ -name "*.java" -delete
 	find server/classes/ -name "*.java" -delete
@@ -70,11 +74,11 @@
 	for JAR in $(LINK_JARS_EXT_JYTHON); do \
 		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/jython/module/MOD-INF/lib/$$JAR.jar; \
 	done
-	for JAR in $(LINK_JARS_EXT_GDATA); do \
-		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/gdata/module/MOD-INF/lib/$$JAR.jar; \
-	done
 	for JAR in $(LINK_JARS_EXT_DATABASE); do \
 		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/database/module/MOD-INF/lib/$$JAR.jar; \
+	done
+	for JAR in $(LINK_JARS_EXT_PCAXIS); do \
+		dh_link /usr/share/java/$$JAR.jar /usr/share/openrefine/webapp/extensions/pc-axis/module/MOD-INF/lib/$$JAR.jar; \
 	done
 	# Replace glyphicons fonts
 	$(RM) /usr/share/openrefine/webapp/extensions/database/module/images/fonts/*
